/*
 * Core.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using Eagle._Attributes;
using Eagle._Components.Private;
using Eagle._Components.Public;
using Eagle._Interfaces.Public;

namespace Eagle._Functions
{
    [ObjectId("91de9380-c952-4fef-8839-4bde3f6f16a4")]
    [FunctionFlags(FunctionFlags.Core)]
    [ObjectGroup("core")]
    internal class Core : Default
    {
        #region Public Constructors
        //
        // NOTE: In the future, behavior specific to functions in the core will
        //       be implemented here rather than in _Functions.Default (which
        //       is available to external functions to derive from).  For now,
        //       the primary job of this class is to set the cached function
        //       flags correctly for all functions in the core function set.
        //
        public Core(
            IFunctionData functionData
            )
            : base(functionData)
        {
            this.Flags |= AttributeOps.GetFunctionFlags(GetType().BaseType) |
                AttributeOps.GetFunctionFlags(this);
        }
        #endregion
    }
}
