/*
 * Class5.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Windows.Forms;
using Eagle._Attributes;
using Eagle._Components.Public;

namespace TclSample
{
    //
    // FIXME: Always change this GUID.
    //
    [ObjectId("1d0c8b12-70f9-4037-9c95-fc38de52e52a")]
    internal static class Class5
    {
        [STAThread()] /* WinForms */
        private static int Main(
            string[] args
            )
        {
            return (int)Class5.Test(args);
        }

        ///////////////////////////////////////////////////////////////////////

        private static ExitCode Test(
            string[] args
            )
        {
            //
            // NOTE: This will be the exit code for the process.
            //
            ExitCode exitCode = Utility.SuccessExitCode();

            //
            // NOTE: Enable visual styles (i.e. "theming") on operating systems
            //       that support it.
            //
            Application.EnableVisualStyles();

            //
            // NOTE: Use GDI+ for text rendering on new controls that support
            //       it.
            //
            Application.SetCompatibleTextRenderingDefault(false);

            //
            // NOTE: Create and initialize the application user interface.
            //       This method can fail and will return null in that case.
            //
            using (TclForm form = TclForm.Create(args))
            {
                //
                // NOTE: Make sure the creation was successful.
                //
                if (form != null)
                {
                    //
                    // NOTE: Show the primary user interface form for the
                    //       application.
                    //
                    Application.Run(form);
                }
                else
                {
                    //
                    // NOTE: Complain about not being able to create the user
                    //       interface.
                    //
                    Utility.Complain(null, ReturnCode.Error,
                        "could not create user interface");

                    //
                    // NOTE: Failed to create the form?
                    //
                    exitCode = Utility.FailureExitCode();
                }
            }

            return exitCode;
        }
    }
}
